| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Classes | Public Types | Public Member Functions | List of all members
Ogre::STLAllocator< T, AllocPolicy > Class Template Reference
Core » Memory

`#include <OgreMemorySTLAllocator.h>`

Inheritance diagram for Ogre::STLAllocator< T, AllocPolicy >:
[legend]

## Classes
struct | rebind
| the standard rebind mechanism More...

## Public Types
typedef STLAllocatorBase< T > | Base
| define our types, as per ISO C++ More...
typedef const value_type * | const_pointer
typedef const value_type & | const_reference
typedef std::ptrdiff_t | difference_type
typedef value_type * | pointer
typedef value_type & | reference
typedef std::size_t | size_type
typedef Base::value_type | value_type

## Public Member Functions
| STLAllocator ()
| ctor More...
| STLAllocator (STLAllocator const &)
| copy ctor - done component wise More...
template<typename U >
| STLAllocator (STLAllocator< U, AllocPolicy > const &)
| cast More...
template<typename U , typename P >
| STLAllocator (STLAllocator< U, P > const &)
| cast More...
virtual | ~STLAllocator ()
| dtor More...
pointer | address (reference x) const
const_pointer | address (const_reference x) const
pointer | allocate (size_type count, typename std::allocator< void >::const_pointer ptr=0)
| memory allocation (elements, used by STL) More...
void | construct (pointer p)
void | construct (pointer p, const T &val)
void | deallocate (pointer ptr, size_type)
| memory deallocation (elements, used by STL) More...
void | destroy (pointer p)
size_type | max_size () const throw ()

## Member Typedef Documentation

## ◆ Base

template<typename T , typename AllocPolicy >

typedef STLAllocatorBase<T> Ogre::STLAllocator< T, AllocPolicy >::Base

define our types, as per ISO C++

## ◆ value_type

template<typename T , typename AllocPolicy >

typedef Base::value_type Ogre::STLAllocator< T, AllocPolicy >::value_type

## ◆ pointer

template<typename T , typename AllocPolicy >

typedef value_type* Ogre::STLAllocator< T, AllocPolicy >::pointer

## ◆ const_pointer

template<typename T , typename AllocPolicy >

typedef const value_type* Ogre::STLAllocator< T, AllocPolicy >::const_pointer

## ◆ reference

template<typename T , typename AllocPolicy >

typedef value_type& Ogre::STLAllocator< T, AllocPolicy >::reference

## ◆ const_reference

template<typename T , typename AllocPolicy >

typedef const value_type& Ogre::STLAllocator< T, AllocPolicy >::const_reference

## ◆ size_type

template<typename T , typename AllocPolicy >

typedef std::size_t Ogre::STLAllocator< T, AllocPolicy >::size_type

## ◆ difference_type

template<typename T , typename AllocPolicy >

typedef std::ptrdiff_t Ogre::STLAllocator< T, AllocPolicy >::difference_type

## Constructor & Destructor Documentation

## ◆ STLAllocator() [1/4]

template<typename T , typename AllocPolicy >

Ogre::STLAllocator< T, AllocPolicy >::STLAllocator | ( |  | ) |
| inline explicit

ctor

## ◆ ~STLAllocator()

template<typename T , typename AllocPolicy >

virtual Ogre::STLAllocator< T, AllocPolicy >::~STLAllocator | ( |  | ) |
| inline virtual

dtor

## ◆ STLAllocator() [2/4]

template<typename T , typename AllocPolicy >

Ogre::STLAllocator< T, AllocPolicy >::STLAllocator | ( | STLAllocator< T, AllocPolicy > const & |  | ) |
| inline

copy ctor - done component wise

## ◆ STLAllocator() [3/4]

template<typename T , typename AllocPolicy >
template<typename U >

Ogre::STLAllocator< T, AllocPolicy >::STLAllocator | ( | STLAllocator< U, AllocPolicy > const & |  | ) |
| inline

cast

## ◆ STLAllocator() [4/4]

template<typename T , typename AllocPolicy >
template<typename U , typename P >

Ogre::STLAllocator< T, AllocPolicy >::STLAllocator | ( | STLAllocator< U, P > const & |  | ) |
| inline

cast

## Member Function Documentation

## ◆ allocate()

template<typename T , typename AllocPolicy >

pointer Ogre::STLAllocator< T, AllocPolicy >::allocate | ( | size_type | count,
|  | typename std::allocator< void >::const_pointer | ptr = `0`
| ) |  |
| inline

memory allocation (elements, used by STL)

## ◆ deallocate()

template<typename T , typename AllocPolicy >

void Ogre::STLAllocator< T, AllocPolicy >::deallocate | ( | pointer | ptr,
|  | size_type |
| ) |  |
| inline

memory deallocation (elements, used by STL)

## ◆ address() [1/2]

template<typename T , typename AllocPolicy >

pointer Ogre::STLAllocator< T, AllocPolicy >::address | ( | reference | x | ) | const
| inline

## ◆ address() [2/2]

template<typename T , typename AllocPolicy >

const_pointer Ogre::STLAllocator< T, AllocPolicy >::address | ( | const_reference | x | ) | const
| inline

## ◆ max_size()

template<typename T , typename AllocPolicy >

size_type Ogre::STLAllocator< T, AllocPolicy >::max_size | ( |  | ) | const
throw | ( |
| ) |  |
| inline

## ◆ construct() [1/2]

template<typename T , typename AllocPolicy >

void Ogre::STLAllocator< T, AllocPolicy >::construct | ( | pointer | p | ) |
| inline

## ◆ construct() [2/2]

template<typename T , typename AllocPolicy >

void Ogre::STLAllocator< T, AllocPolicy >::construct | ( | pointer | p,
|  | const T & | val
| ) |  |
| inline

## ◆ destroy()

template<typename T , typename AllocPolicy >

void Ogre::STLAllocator< T, AllocPolicy >::destroy | ( | pointer | p | ) |
| inline

The documentation for this class was generated from the following file:

- OgreMemorySTLAllocator.h